### Name

> XmHTMLImageGetType - determine the type (format) of an image.

### Synopsis

> unsigned char XmHTMLImageGetType(String file, unsigned char *buf, int size)

### Description

> XmHTMLImageGetType determines the type of a given image. This image can either be loaded from a file or already present in memory.

> file
>   Specifies the name of a file representing the image of which the type has to be determined. May not be NULL;
> *buf
>   Specifies a pointer to a memory buffer containing the image of which the type has to be determined. Can be NULL;
> size
>   Specifies the size of the memory buffer (if any). Can be 0;

### Return Value

> Any of the following values:

    	IMAGE_ERROR         /* error on image loading           */
    	IMAGE_UNKNOWN       /* unknown image                    */
    	IMAGE_XPM           /* X11 pixmap                       */
    	IMAGE_XBM           /* X11 bitmap                       */
    	IMAGE_GIF           /* CompuServe(C) Gif87a or Gif89a   */
    	IMAGE_GIFANIM       /* animated gif                     */
    	IMAGE_GIFANIMLOOP   /* animated gif with loop extension */
    	IMAGE_GZF           /* compatible Gif87a or Gif89a      */
    	IMAGE_GZFANIM       /* compatible animated gif          */
    	IMAGE_GZFANIMLOOP   /* compatible animated gif          */
    	IMAGE_JPEG          /* JPEG image                       */
    	IMAGE_PNG           /* PNG image                        */
    	IMAGE_FLG           /* Fast Loadable Graphic            */

### See Also

> XmHTML(3X), XmHTMLImageDefaultProc(3X), XmImageCreate(3X), XmImageInfo(3X)

XmHTML, October 7, 1997